# SimpleMapperRepo

class SimpleMapperRepo < FromKey , FromValue , ToKey , ToValue >(keyFromToTo: suspend FromKey .() -> ToKey , valueFromToTo: suspend FromValue .() -> ToValue , keyToToFrom: suspend ToKey .() -> FromKey , valueToToFrom: suspend ToValue .() -> FromValue ) : MapperRepo < FromKey , FromValue , ToKey , ToValue > (source)

## Constructors

SimpleMapperRepo
Link copied to clipboard
constructor(keyFromToTo: suspend FromKey .() -> ToKey , valueFromToTo: suspend FromValue .() -> ToValue , keyToToFrom: suspend ToKey .() -> FromKey , valueToToFrom: suspend ToValue .() -> FromValue )

## Properties

keyMapper
Link copied to clipboard
open val keyMapper : SimpleSuspendableMapper < FromKey , ToKey >
valueMapper
Link copied to clipboard
open val valueMapper : SimpleSuspendableMapper < FromValue , ToValue >

## Functions

toInnerKey
Link copied to clipboard
open suspend override fun ToKey . toInnerKey (): FromKey
toInnerValue
Link copied to clipboard
open suspend override fun ToValue . toInnerValue (): FromValue
toOutKey
Link copied to clipboard
open suspend override fun FromKey . toOutKey (): ToKey
toOutValue
Link copied to clipboard
open suspend override fun FromValue . toOutValue (): ToValue